Bug 1491558 - Screens (system) do not wake after suspend
Summary: Screens (system) do not wake after suspend
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1491565
TreeView+ depends on / blocked
 
Reported: 2017-09-14 07:18 UTC by Jan Vlug
Modified: 2018-05-29 12:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:13:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 102150 None None None 2018-01-29 10:56:49 UTC
FreeDesktop.org 104523 None None None 2018-01-07 09:58:05 UTC
FreeDesktop.org 104649 None None None 2018-01-17 09:08:44 UTC

Description Jan Vlug 2017-09-14 07:18:04 UTC
When I suspend my system, it seems that the system goes down in sleep mode correctly. When I press the power button to wake up the system, I see the lights on my keyboard switching on, I hear a beep from my display. However the screens seem not to get a signal, and the screens stay black.

I did not have this issue when still using the proprietary nvidia driver. Currently, I'm using nouveau on a fully up-to-date Fedora 26 installation.

See below a fragment from the logs where the system suspends. There is no logging from the attempt to wake up. The only thing I could do was resetting the system.

This problem is 100% reproducible.

sep 14 09:02:47 nyx systemd-sleep[3742]: Suspending system...
sep 14 09:02:47 nyx systemd[1]: Starting Suspend...
sep 14 09:02:47 nyx systemd[1]: Reached target Sleep.
sep 14 09:02:46 nyx kernel: nouveau 0000:23:00.0: disp: 0x61ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
sep 14 09:02:46 nyx gnome-software-service.desktop[2733]: 07:02:46:0198 GsPluginShellExtensions no app for changed topIcons@adel.gadllah@gmail.com
sep 14 09:02:46 nyx gnome-shell[1552]: Screen lock is locked down, not locking
sep 14 09:02:46 nyx org.gnome.Shell.desktop[1552]: Window manager warning: Failed to set power save mode for output DVI-D-1: Permission denied
sep 14 09:02:46 nyx org.gnome.Shell.desktop[1552]: Window manager warning: Failed to set power save mode for output DP-1: Permission denied
sep 14 09:02:46 nyx NetworkManager[1341]: <info>  [1505372566.1648] manager: NetworkManager state is now ASLEEP
sep 14 09:02:46 nyx NetworkManager[1341]: <info>  [1505372566.1645] manager: sleeping...
sep 14 09:02:46 nyx NetworkManager[1341]: <info>  [1505372566.1637] manager: sleep requested (sleeping: no  enabled: yes)
sep 14 09:02:46 nyx systemd-logind[1247]: Power key pressed.

Comment 1 Jan Vlug 2017-09-16 07:58:49 UTC
This is the logging when no regular user was logged in:

-- Reboot --
sep 16 09:42:35 nyx kernel: nouveau 0000:23:00.0: disp: 0x61ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
sep 16 09:42:35 nyx kernel: PM: Syncing filesystems ... 
sep 16 09:42:35 nyx systemd-sleep[32238]: Suspending system...
sep 16 09:42:35 nyx systemd[1]: Starting Suspend...
sep 16 09:42:35 nyx systemd[1]: Reached target Sleep.
sep 16 09:42:35 nyx gnome-shell[31731]: Screen lock is locked down, not locking
sep 16 09:42:35 nyx NetworkManager[31518]: <info>  [1505547755.1199] manager: NetworkManager state is now ASLEEP
sep 16 09:42:35 nyx NetworkManager[31518]: <info>  [1505547755.1194] manager: sleeping...
sep 16 09:42:35 nyx NetworkManager[31518]: <info>  [1505547755.1189] manager: sleep requested (sleeping: no  enabled: yes)
sep 16 09:42:35 nyx systemd-logind[31443]: Power key pressed.

Comment 2 Jan Vlug 2018-01-07 09:36:07 UTC
When I press the power button after that the system has gone to suspend. After the attempt to resume, I could ping the system, but I could not ssh into the system. I did not find any messages in the log that were written when resuming.

Comment 3 Jan Vlug 2018-01-07 09:37:55 UTC
Currently, I'm using a fully up-to-date Fedora 27 system with nouveau, two displays (a regular one and an HiDPI one).

Graphics:  Card: NVIDIA GP107 [GeForce GTX 1050 Ti]
           Display Server: X.org 1.19.5 drivers: modesetting,fbdev,vesa
           tty size: 80x24 Advanced Data: N/A for root

Comment 4 Fedora End Of Life 2018-05-03 07:51:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 jonathan baron 2018-05-26 15:00:03 UTC
As noted in comment 3, this is still a bug in Fedora 27 and the version should be changed.

I too have this bug, with symptoms like those in Comment #2. I've been looking for a work-around using /etc/systemd/sleep.conf (which I do not yet have), but I can't find anything about how to do it. Perhaps there is another work-around using /etc/acpi, but I can't figure out how to do that either.

My setup is unusual. This is not a laptop but rather a P320 Lenovo Thinkstation, with only a solid-state drive. The complete boot time (with automatic login) is less than 30 sec, so it is no disaster not being able to use suspend or hibernate (except that my open files are not always dealt with very well). But I suspect that is a general problem that affects some laptops too. I do use the nouveau driver.

I cannot find anything about resume after suspend in /var/log/messages, but I do find that the power button stops blinking and I can ping the computer but not ssh to it.

(I should say that it took a while to get even this much to work. I had to explicitly set power/wakeup on various devices in /sys/bus/usb/devices.)

Comment 6 Fedora End Of Life 2018-05-29 12:13:41 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 jonathan baron 2018-05-29 12:29:56 UTC
(In reply to Fedora End Of Life from comment #6)
> Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
> is no longer maintained, which means that it will not receive any
> further security or bug fix updates. As a result we are closing this bug.
> 
> If you can reproduce this bug against a currently maintained version of
> Fedora please feel free to reopen this bug against that version. If you
> are unable to reopen this bug, please file a new report against the
> current release. If you experience problems, please add a comment to this
> bug.
> 
> Thank you for reporting this bug and we are sorry it could not be fixed.

Two of us have pointed out that this bug is present in Fedora 27. I tried to change the version number, but apparently I do not have permission to do that. It is really easier than copying this entire discussion over to a new bug report.

Can someone do this?


Note You need to log in before you can comment on or make changes to this bug.